Bug 121200 - Cannot copy from Writer to the Text Box in Draw
Summary: Cannot copy from Writer to the Text Box in Draw
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.3.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-11-06 11:06 UTC by Kamil Landa
Modified: 2018-11-09 13:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
nothing copy from Write to the Text box in Draw (50.55 KB, application/vnd.oasis.opendocument.text)
2018-11-06 11:06 UTC, Kamil Landa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kamil Landa 2018-11-06 11:06:27 UTC
Created attachment 146351 [details]
nothing copy from Write to the Text box in Draw

Cannot copy some text from Writer to inside the Text Box in Draw. 

Reproduce:
1) select some text in Writer and Ctrl+C
2) insert Text Box in Draw and put cursor inside
3) Press Ctrl+V and nothing is inserted

Example in attachment
Comment 1 Vera Blagoveschenskaya 2018-11-06 11:14:24 UTC Comment hidden (obsolete)
Comment 2 Xisco Faulí 2018-11-06 12:53:58 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=409441652af3df62e742b9d7a3d80cb6b15214af

author	Caolán McNamara <caolanm@redhat.com>	2018-05-15 15:10:43 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-05-15 19:25:01 +0200
commit	409441652af3df62e742b9d7a3d80cb6b15214af (patch)
tree	fa7fef7b5ee24a755d4f9bbb5258408601fd41b3
parent	dd84c23bf604c175062cc338b79e9ca362edcb50 (diff)
ofz#7802 infinite loop

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 3 Caolán McNamara 2018-11-06 16:14:30 UTC
ugh, the rtf parser is to f*cking terrible
Comment 4 Vera Blagoveschenskaya 2018-11-07 12:17:03 UTC
I've prepared a presentation (Impress) and couldn't copy some text from Wikipedia to the text box. I suggest, it is the same problem?

Version: 6.2.0.0.alpha1+
Build ID: 7cf6cee97bc05512fae482733ee45f039e9d2160
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-04_22:10:34
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
Comment 5 Commit Notification 2018-11-08 17:11:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8f5de14bece7548f44aafc32d3bb3d9d2211a389%5E%21

Resolves: tdf#121200 better ofz#7802 infinite loop fix

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2018-11-08 17:23:27 UTC
backport for 6-1 in gerrit
Comment 7 Xisco Faulí 2018-11-09 12:48:30 UTC
Verified in

Version: 6.2.0.0.alpha1+
Build ID: 0f68e45e2ec6b9fa8c562044e88355d95af0347d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, Thanks for fixing this!!
Comment 8 Commit Notification 2018-11-09 13:23:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/86b30f05b41e751ca144796b61243e2ecaf56324%5E%21

Resolves: tdf#121200 Revert "ofz#7802 infinite loop"

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.